'use strict';
angular.module('aom.directives')
  .directive('aomToggle', function () {
    return {
      scope: {
        field: '=',
        changedMethod: '=',
        recordCoords: '='
      },

      templateUrl: 'App/Common/Directives/Toggle/toggle.html',
      
      controller: function ($scope) {

        $scope.toggleClick = function ($event) {
          $scope.recordCoords($scope.field);

          if ($event && $event.currentTarget.id === 'parent') {
            $event.stopPropagation();
            $scope.field.Data = $scope.field.Data === 'True' ? 'False' : 'True';
          }

          if ($scope.changedMethod) {
            $scope.changedMethod($scope.field.Name);
          }
        };

      }
    };
  });