angular.module('aom.services')
  .factory('aomHardwareSrv', function () {

    var hardware = {};

    hardware.manufacturer = function () {
      // return 'TomTom'; // for debugging on serve
      return window.cordova ? window.device.manufacturer : window.navigator.vendor;
    };

    hardware.isTomTom = function () {
      return hardware.manufacturer().toLowerCase().indexOf('tomtom') !== -1
        || hardware.manufacturer().toLowerCase().indexOf('webfleet') !== -1;
    };

    return hardware;
  });
  